spool e:\cocktail\Mangue\import_bx4\xml\changement_positions.xml
set heading off
set long 1000
set pagesize 0
set linesize 120


PROMPT <?xml version="1.0" encoding="iso-8859-1" ?><IMPORT>
PROMPT <CHANGEMENT_POSITIONS>

SELECT XMLElement("CHANGEMENT_POSITION",
			XMLFOREST(
				I.NO_INDIVIDU "ID_SOURCE",
				D_DEB_POSITION "D_DEB_POSITION",
				D_FIN_POSITION "D_FIN_POSITION",
				C_POSITION "C_POSITION",
				C_MOTIF_POSITION "C_MOTIF_POSITION",
				TEMOIN_POSITION_PREV "TEMOIN_POSITION_PREV",
				NO_ARRETE_POSITION "NO_ARRETE_POSITION",
				D_ARRETE_POSITION "D_ARRETE_POSITION",
				C_RNE "C_RNE",
				LIEU_POSITION "LIEU_POSITION",
				TXT_POSITION "TXT_POSITION",
				CARRIERE_ACCUEIL "CARRIERE_ACCUEIL",
				C_RNE_ORIG "C_RNE_ORIG",
				LIEU_POSITION_ORIG "LIEU_POSITION_ORIG",
				TXT_POSITION_ORIG "TXT_POSITION_ORIG",
				CARRIERE_ORIGINE "CARRIERE_ORIGINE",
				'100' "QUOTITE_POSITION",
				to_number(to_char(D_DEB_POSITION,'YYYYMMDD')) "CP_SOURCE"))
   FROM CHANGEMENT_POSITION CP,INDIVIDU I, PERSONNEL P, CODE_INSEE CI
   WHERE I.NO_INDIVIDU = CP.NO_DOSSIER_PERS
   AND CP.CARRIERE_ACCUEIL is not null
   AND I.NO_INDIVIDU = P.NO_DOSSIER_PERS
   AND CI.NO_DOSSIER_PERS = P.NO_DOSSIER_PERS;

PROMPT </CHANGEMENT_POSITIONS>
PROMPT </IMPORT>
spool off